eID middleware |

# be::portugal::eid::PTEID_SISCard Class Reference

This class represents a SIS card. More...

Inheritance diagram for be::portugal::eid::PTEID_SISCard:

List of all members.

## Public Member Functions
override void | Dispose ()
override PTEID_XMLDoc | getDocument (PTEID_DocumentType type)
| Return a document from the card.
PTEID_SisFullDoc | getFullDoc ()
| Get the full document.
PTEID_SisId | getID ()
| Get the id document.
override PTEID_ByteArray | getRawData (PTEID_RawDataType type)
| Return a raw data from the card.
PTEID_ByteArray | getRawData_Id ()
| Get the id RawData.

## Detailed Description

This class represents a SIS card.

To get such an object you have to ask it from the ReaderContext.

## Member Function Documentation

override void be::portugal::eid::PTEID_SISCard::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_MemoryCard.

override PTEID_XMLDoc be::portugal::eid::PTEID_SISCard::getDocument | ( | PTEID_DocumentType | type | ) | `[inline, virtual]`

Return a document from the card.

Throw PTEID_ExDocTypeUnknown exception if the document doesn't exist for this card.

Reimplemented from be::portugal::eid::PTEID_Card.

PTEID_SisFullDoc be::portugal::eid::PTEID_SISCard::getFullDoc | ( |  | ) | `[inline]`

Get the full document.

PTEID_SisId be::portugal::eid::PTEID_SISCard::getID | ( |  | ) | `[inline]`

Get the id document.

override PTEID_ByteArray be::portugal::eid::PTEID_SISCard::getRawData | ( | PTEID_RawDataType | type | ) | `[inline, virtual]`

Return a raw data from the card.

Throw PTEID_ExFileTypeUnknown exception if the document doesn't exist for this card.

Reimplemented from be::portugal::eid::PTEID_Card.

PTEID_ByteArray be::portugal::eid::PTEID_SISCard::getRawData_Id | ( |  | ) | `[inline]`

Get the id RawData.